
TYPO3.Kickstart - Bug # 29791

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category:
Created: 2011-09-14 Assigned To: Bastian Waidelich
Updated: 2012-12-12 Due date:
Affected Flow version: FLOW3 1.0.0
Subject: When kickstarting models with collections, invalid code is generated
Description

Not in all cases, but when using collections with element type hints, the generated code is wrong:

./flow3 kickstart:model TYPO3.Blog Blog 'posts:\Doctrine\Common\Collections\Collection<\TYPO3\Blog\Domain\Model\Post>'

results in setter code like
    /**
     * Sets this Blog's posts
     *
     * @param \Doctrine\Common\Collections\Collection<\TYPO3\Blog\Domain\Model\Post> $posts The Blog's posts
     * @return void
     */
    public function setPosts(\Doctrine\Common\Collections\Collection<\TYPO3\Blog\Domain\Model\Post> $posts) {
        $this->posts = $posts;
    }

which results in a nasty error like
PHP Parse error:  syntax error, unexpected '<', expecting '&' or T_VARIABLE in .../Model/Blog.php on line xx

Associated revisions
Revision 3060ff79 - 2012-11-26 16:04 - Bastian Waidelich

[BUGFIX] Fix type hint of collections in generated model classes

This makes sure that, when using collections with element type hints,
only the collection class name ends up in the type hint of the generated setter.

Change-Id: I268a14049aa43e430462b8c1a5d325252eb18295
Fixes: #29791
Releases: 1.1, 1.2

Revision 0f1b8b25 - 2012-12-10 22:00 - Bastian Waidelich

[BUGFIX] Fix type hint of collections in generated model classes

This makes sure that, when using collections with element type hints,
only the collection class name ends up in the type hint of the generated setter.

Change-Id: I268a14049aa43e430462b8c1a5d325252eb18295
Fixes: #29791
Releases: 1.1, 1.2
History
#1 - 2011-10-20 01:42 - Karsten Dambekalns
- Target version deleted (1230)

#2 - 2011-10-21 13:18 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#3 - 2012-05-28 22:53 - Michel Albers

This is still the case in FLOW3 Beta 1.1

#4 - 2012-11-20 11:48 - Bastian Waidelich

Is that still the case today? brr

#5 - 2012-11-20 11:48 - Bastian Waidelich

Is that still the case today? brr

#6 - 2012-11-21 12:56 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#7 - 2012-11-21 12:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16663

#8 - 2012-11-26 16:04 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16663

#9 - 2012-11-26 16:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3060ff79b14ea8ff7ca3fefb54dad911b625bc2f.

#10 - 2012-12-10 21:59 - Gerrit Code Review
- Status changed from Resolved to Under Review
Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/17076

#11 - 2012-12-10 22:00 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/17076

#12 - 2012-12-12 22:12 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:0f1b8b253c933a671653c408897e3e92ef15b781.
